| media type | data type | description |
|---|---|---|
| application/json | string |
GET /plugins
Content-Type: */*
Accept: application/json
...
HTTP/1.1 200 OK
Content-Type: application/json
...
| name | type | description |
|---|---|---|
| NAME | path |
| media type | data type | description |
|---|---|---|
| application/json | string |
GET /plugins/{NAME}/executions
Content-Type: */*
Accept: application/json
...
HTTP/1.1 200 OK
Content-Type: application/json
...
| name | type | description |
|---|---|---|
| NAME | path |
| media type | data type |
|---|---|
| application/json | string |
| text/plain | string |
| media type | data type | description |
|---|---|---|
| text/plain | string |
POST /plugins/{NAME}/executions
Content-Type: application/json
Accept: text/plain
...
HTTP/1.1 201 Created
Content-Type: text/plain
...
| name | type | description | constraints |
|---|---|---|---|
| NAME | path | ||
| UUID | path | ||
| unschedule | query | boolean |
| media type | data type | description |
|---|---|---|
| */* | object |
DELETE /plugins/{NAME}/executions/{UUID}
Content-Type: */*
Accept: */*
...
HTTP/1.1 204 No Content
Content-Type: */*
...
| name | type | description | constraints |
|---|---|---|---|
| NAME | path | ||
| UUID | path | ||
| iteration | query | int |
| media type | data type | description |
|---|---|---|
| application/json | string |
GET /plugins/{NAME}/executions/{UUID}
Content-Type: */*
Accept: application/json
...
HTTP/1.1 200 OK
Content-Type: application/json
...